<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: llg/precond.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_ad11b878d2835527517911859427b54f.html">llg</a>
  </div>
</div>
<div class="contents">
<h1>precond.c File Reference</h1><code>#include &quot;<a class="el" href="llg_8h_source.html">llg.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="field_8h_source.html">field/field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for precond.c:</div>
<div class="dynsection">
<div class="center"><img src="precond_8c__incl.png" border="0" usemap="#llg_2precond_8c_map" alt=""/></div>
<map name="llg_2precond_8c_map" id="llg_2precond_8c">
<area shape="rect" id="node3" href="llg_8h.html" title="llg.h" alt="" coords="89,86,135,117"/><area shape="rect" id="node15" href="field_8h.html" title="field/field.h" alt="" coords="159,86,244,117"/><area shape="rect" id="node18" href="util_8h.html" title="util/util.h" alt="" coords="268,86,337,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="precond_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>&nbsp;&nbsp;&nbsp;&quot;-psolve_ksp_type&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>&nbsp;&nbsp;&nbsp;&quot;-psolve_ksp_atol&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>&nbsp;&nbsp;&nbsp;&quot;-psolve_ksp_rtol&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>&nbsp;&nbsp;&nbsp;&quot;-psolve_ksp_divtol&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>&nbsp;&nbsp;&nbsp;&quot;-psolve_pc_type&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>&nbsp;&nbsp;&nbsp;&quot;-psolve_sub_pc_type&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>&nbsp;&nbsp;&nbsp;&quot;-psolve_pc_type&quot;</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc">Precond_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f">Precond</a> (realtype t, N_Vector y, N_Vector fy, booleantype jok, booleantype *jcurPtr, realtype gamma, void *P_data, N_Vector vtemp1, N_Vector vtemp2, N_Vector vtemp3)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a26a82305d86917d32992af0031acd675">PSolve</a> (realtype t, N_Vector y, N_Vector fy, N_Vector r, N_Vector z, realtype gamma, realtype delta, int lr, void *P_data, N_Vector vtemp)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="precond_8c.html#a2a797df3786fb3caa3a618c1a39d2cc9">Jtimes</a> (N_Vector v, N_Vector Jv, realtype t, N_Vector y, N_Vector fy, void *jac_data, N_Vector tmp)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a5fa86e1232846ad4aa6cdad299c1638f"></a><!-- doxytag: member="precond.c::ostr" ref="a5fa86e1232846ad4aa6cdad299c1638f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ostr&nbsp;&nbsp;&nbsp;&quot;-psolve_pc_type&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5fa86e1232846ad4aa6cdad299c1638f"></a><!-- doxytag: member="precond.c::ostr" ref="a5fa86e1232846ad4aa6cdad299c1638f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ostr&nbsp;&nbsp;&nbsp;&quot;-psolve_sub_pc_type&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5fa86e1232846ad4aa6cdad299c1638f"></a><!-- doxytag: member="precond.c::ostr" ref="a5fa86e1232846ad4aa6cdad299c1638f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ostr&nbsp;&nbsp;&nbsp;&quot;-psolve_pc_type&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5fa86e1232846ad4aa6cdad299c1638f"></a><!-- doxytag: member="precond.c::ostr" ref="a5fa86e1232846ad4aa6cdad299c1638f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ostr&nbsp;&nbsp;&nbsp;&quot;-psolve_ksp_divtol&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5fa86e1232846ad4aa6cdad299c1638f"></a><!-- doxytag: member="precond.c::ostr" ref="a5fa86e1232846ad4aa6cdad299c1638f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ostr&nbsp;&nbsp;&nbsp;&quot;-psolve_ksp_rtol&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5fa86e1232846ad4aa6cdad299c1638f"></a><!-- doxytag: member="precond.c::ostr" ref="a5fa86e1232846ad4aa6cdad299c1638f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ostr&nbsp;&nbsp;&nbsp;&quot;-psolve_ksp_atol&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5fa86e1232846ad4aa6cdad299c1638f"></a><!-- doxytag: member="precond.c::ostr" ref="a5fa86e1232846ad4aa6cdad299c1638f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ostr&nbsp;&nbsp;&nbsp;&quot;-psolve_ksp_type&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, and <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a2a797df3786fb3caa3a618c1a39d2cc9"></a><!-- doxytag: member="precond.c::Jtimes" ref="a2a797df3786fb3caa3a618c1a39d2cc9" args="(N_Vector v, N_Vector Jv, realtype t, N_Vector y, N_Vector fy, void *jac_data, N_Vector tmp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Jtimes </td>
          <td>(</td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>v</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>Jv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">realtype&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>fy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>jac_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>tmp</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="precond_8c_source.html#l00436">436</a> of file <a class="el" href="precond_8c_source.html">precond.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>.</p>

<p>Referenced by <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="precond_8c_a2a797df3786fb3caa3a618c1a39d2cc9_icgraph.png" border="0" usemap="#precond_8c_a2a797df3786fb3caa3a618c1a39d2cc9_icgraph_map" alt=""></div>
<map name="precond_8c_a2a797df3786fb3caa3a618c1a39d2cc9_icgraph_map" id="precond_8c_a2a797df3786fb3caa3a618c1a39d2cc9_icgraph">
<area shape="rect" id="node3" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="115,5,192,35"/><area shape="rect" id="node5" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="240,5,371,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="419,5,477,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="525,5,576,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8cdc0d7af89d96e9d57fc6c0f791331f"></a><!-- doxytag: member="precond.c::Precond" ref="a8cdc0d7af89d96e9d57fc6c0f791331f" args="(realtype t, N_Vector y, N_Vector fy, booleantype jok, booleantype *jcurPtr, realtype gamma, void *P_data, N_Vector vtemp1, N_Vector vtemp2, N_Vector vtemp3)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Precond </td>
          <td>(</td>
          <td class="paramtype">realtype&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>fy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">booleantype&nbsp;</td>
          <td class="paramname"> <em>jok</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">booleantype *&nbsp;</td>
          <td class="paramname"> <em>jcurPtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">realtype&nbsp;</td>
          <td class="paramname"> <em>gamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>P_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>vtemp1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>vtemp2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>vtemp3</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="precond_8c_source.html#l00327">327</a> of file <a class="el" href="precond_8c_source.html">precond.c</a>.</p>

<p>References <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, and <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>.</p>

<p>Referenced by <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="precond_8c_a8cdc0d7af89d96e9d57fc6c0f791331f_cgraph.png" border="0" usemap="#precond_8c_a8cdc0d7af89d96e9d57fc6c0f791331f_cgraph_map" alt=""></div>
<map name="precond_8c_a8cdc0d7af89d96e9d57fc6c0f791331f_cgraph_map" id="precond_8c_a8cdc0d7af89d96e9d57fc6c0f791331f_cgraph">
<area shape="rect" id="node3" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="127,585,172,615"/><area shape="rect" id="node95" href="llg_8h.html#a35010647607c93a40bdab3e86041714f" title="myLLGJacobian" alt="" coords="503,5,617,35"/><area shape="rect" id="node5" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="229,691,291,722"/><area shape="rect" id="node9" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="225,585,295,615"/><area shape="rect" id="node43" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="225,638,295,669"/><area shape="rect" id="node49" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="223,745,297,775"/><area shape="rect" id="node56" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="221,351,299,382"/><area shape="rect" id="node93" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="225,531,295,562"/><area shape="rect" id="node7" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="356,691,441,722"/><area shape="rect" id="node11" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="352,585,445,615"/><area shape="rect" id="node13" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="527,535,593,566"/><area shape="rect" id="node19" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="684,587,791,618"/><area shape="rect" id="node26" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="691,351,784,382"/><area shape="rect" id="node33" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="513,639,607,670"/><area shape="rect" id="node39" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="529,797,591,827"/><area shape="rect" id="node15" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="885,534,933,565"/><area shape="rect" id="node28" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="701,482,773,513"/><area shape="rect" id="node17" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1015,507,1127,538"/><area shape="rect" id="node21" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1013,587,1128,618"/><area shape="rect" id="node23" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="863,587,956,618"/><area shape="rect" id="node30" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="868,481,951,511"/><area shape="rect" id="node35" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="687,641,788,671"/><area shape="rect" id="node41" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="711,797,764,827"/><area shape="rect" id="node45" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="352,638,445,669"/><area shape="rect" id="node47" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="521,693,599,723"/><area shape="rect" id="node51" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="348,745,449,775"/><area shape="rect" id="node58" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="364,431,433,462"/><area shape="rect" id="node62" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="364,165,433,195"/><area shape="rect" id="node80" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="364,271,433,302"/><area shape="rect" id="node84" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="364,378,433,409"/><area shape="rect" id="node91" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="348,325,449,355"/><area shape="rect" id="node60" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="513,431,607,462"/><area shape="rect" id="node64" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="527,58,593,89"/><area shape="rect" id="node66" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="500,111,620,142"/><area shape="rect" id="node68" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="513,218,607,249"/><area shape="rect" id="node78" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="517,165,603,195"/><area shape="rect" id="node70" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="671,193,804,223"/><area shape="rect" id="node74" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="681,246,793,277"/><area shape="rect" id="node72" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="855,193,964,223"/><area shape="rect" id="node76" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="880,246,939,277"/><area shape="rect" id="node82" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="513,271,607,302"/><area shape="rect" id="node86" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="531,378,589,409"/><area shape="rect" id="node88" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="513,325,607,355"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="precond_8c_a8cdc0d7af89d96e9d57fc6c0f791331f_icgraph.png" border="0" usemap="#precond_8c_a8cdc0d7af89d96e9d57fc6c0f791331f_icgraph_map" alt=""></div>
<map name="precond_8c_a8cdc0d7af89d96e9d57fc6c0f791331f_icgraph_map" id="precond_8c_a8cdc0d7af89d96e9d57fc6c0f791331f_icgraph">
<area shape="rect" id="node3" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="125,5,203,35"/><area shape="rect" id="node5" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="251,5,381,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="429,5,488,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="536,5,587,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a811a9e1276828ec4cf472f954d12b1fc"></a><!-- doxytag: member="precond.c::Precond_Init" ref="a811a9e1276828ec4cf472f954d12b1fc" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Precond_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="precond_8c_source.html#l00036">36</a> of file <a class="el" href="precond_8c_source.html">precond.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00192">GridData::elevol</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>, <a class="el" href="hexch__ani_8c_source.html#l00041">PREALLOC_DG</a>, <a class="el" href="hexch__ani_8c_source.html#l00042">PREALLOC_OD</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, and <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>.</p>

<p>Referenced by <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="precond_8c_a811a9e1276828ec4cf472f954d12b1fc_cgraph.png" border="0" usemap="#precond_8c_a811a9e1276828ec4cf472f954d12b1fc_cgraph_map" alt=""></div>
<map name="precond_8c_a811a9e1276828ec4cf472f954d12b1fc_cgraph_map" id="precond_8c_a811a9e1276828ec4cf472f954d12b1fc_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="160,5,253,35"/><area shape="rect" id="node7" href="llg_8h.html#a35010647607c93a40bdab3e86041714f" title="myLLGJacobian" alt="" coords="149,58,264,89"/><area shape="rect" id="node5" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="319,5,420,35"/><area shape="rect" id="node9" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="312,58,427,89"/><area shape="rect" id="node11" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="323,111,416,142"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="precond_8c_a811a9e1276828ec4cf472f954d12b1fc_icgraph.png" border="0" usemap="#precond_8c_a811a9e1276828ec4cf472f954d12b1fc_icgraph_map" alt=""></div>
<map name="precond_8c_a811a9e1276828ec4cf472f954d12b1fc_icgraph_map" id="precond_8c_a811a9e1276828ec4cf472f954d12b1fc_icgraph">
<area shape="rect" id="node3" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="149,5,227,35"/><area shape="rect" id="node5" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="275,5,405,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="453,5,512,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="560,5,611,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a26a82305d86917d32992af0031acd675"></a><!-- doxytag: member="precond.c::PSolve" ref="a26a82305d86917d32992af0031acd675" args="(realtype t, N_Vector y, N_Vector fy, N_Vector r, N_Vector z, realtype gamma, realtype delta, int lr, void *P_data, N_Vector vtemp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PSolve </td>
          <td>(</td>
          <td class="paramtype">realtype&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>fy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">realtype&nbsp;</td>
          <td class="paramname"> <em>gamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">realtype&nbsp;</td>
          <td class="paramname"> <em>delta</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>lr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>P_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">N_Vector&nbsp;</td>
          <td class="paramname"> <em>vtemp</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="precond_8c_source.html#l00374">374</a> of file <a class="el" href="precond_8c_source.html">precond.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00042">__FUNCT__</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>.</p>

<p>Referenced by <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="precond_8c_a26a82305d86917d32992af0031acd675_icgraph.png" border="0" usemap="#precond_8c_a26a82305d86917d32992af0031acd675_icgraph_map" alt=""></div>
<map name="precond_8c_a26a82305d86917d32992af0031acd675_icgraph_map" id="precond_8c_a26a82305d86917d32992af0031acd675_icgraph">
<area shape="rect" id="node3" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="117,5,195,35"/><area shape="rect" id="node5" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="243,5,373,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="421,5,480,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="528,5,579,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

